Package org.zkoss.zel.impl.util

## Interface ClassReflect

- All Known Implementing Classes:
    `ClassReflect`

      public interface ClassReflect

  The implementation of `ClassUtil`.
  Author:
    tomyeh

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.reflect.Method` | `getCloseMethod​(java.lang.Class<?> cls, java.lang.String name, java.lang.Class<?>[] argTypes)` | Gets one of the close methods -- a close method is a method with the same name and the compatible argument type.
    `java.lang.ClassLoader` | `getContextClassLoader​(java.lang.Class<?> reference)` | Returns the context ClassLoader for the reference class.
    `java.lang.Object` | `newInstance​(java.lang.Class<?> cls, java.lang.Object[] args)` | Instantiates a new instance of the specified class with the specified argument.

- - ### Method Detail

    - #### getCloseMethod

          java.lang.reflect.Method getCloseMethod​(java.lang.Class<?> cls,
                                                  java.lang.String name,
                                                  java.lang.Class<?>[] argTypes)
                                           throws java.lang.NoSuchMethodException

      Gets one of the close methods -- a close method is a method with the same name and the compatible argument type.
      Throws:
        `java.lang.NoSuchMethodException`

    - #### newInstance

          java.lang.Object newInstance​(java.lang.Class<?> cls,
                                       java.lang.Object[] args)
                                throws java.lang.NoSuchMethodException,
                                       java.lang.InstantiationException,
                                       java.lang.reflect.InvocationTargetException,
                                       java.lang.IllegalAccessException

      Instantiates a new instance of the specified class with the specified argument.
      Throws:
        `java.lang.NoSuchMethodException`
        `java.lang.InstantiationException`
        `java.lang.reflect.InvocationTargetException`
        `java.lang.IllegalAccessException`

    - #### getContextClassLoader

          java.lang.ClassLoader getContextClassLoader​(java.lang.Class<?> reference)

      Returns the context ClassLoader for the reference class.
      Parameters:
        `reference` - the reference class where it is invoked from.
      Since:
        8.0.2